loci.formats.internal

## Class WellContainer

- java.lang.Object
- - loci.formats.internal.WellContainer

- All Implemented Interfaces:
    java.lang.Comparable<WellContainer>
  Direct Known Subclasses:
    JDCEReader.JDCEWell

      public abstract class WellContainer
      extends java.lang.Object
      implements java.lang.Comparable<WellContainer>

  Represents a well in a plate.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `columnIndex`
    `private int` | `fieldCount`
    `private java.util.List<java.lang.String>` | `files`
    `private int` | `plateAcquisitionIndex`
    `private int` | `rowIndex`
    `private int` | `wellIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WellContainer()`
    `WellContainer(int pa, int row, int col, int fields)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFile(java.lang.String file)`
    `int` | `compareTo(WellContainer w)`
    `void` | `fillMetadataStore(MetadataStore store, int plate, int plateAcq, int wellSampleStart, int nextImage)`
    `void` | `fillMetadataStore(MetadataStore store, int plate, int plateAcq, int well, int wellSampleStart, int nextImage)`
    `java.util.List<java.lang.String>` | `getAllFiles()`
    `int` | `getColumnIndex()`
    `int` | `getFieldCount()`
    `java.lang.String` | `getFile(int fieldIndex, int planeIndex)`
    `abstract java.lang.String[]` | `getFiles(int fieldIndex)`
    `int` | `getPlateAcquisition()`
    `int` | `getRowIndex()`
    `int` | `getWellIndex()`
    `void` | `setColumnIndex(int newColumn)`
    `void` | `setFieldCount(int fields)`
    `void` | `setPlateAcquisition(int pa)`
    `void` | `setRowIndex(int newRow)`
    `void` | `setWellIndex(int index)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### plateAcquisitionIndex

          private int plateAcquisitionIndex

    - #### rowIndex

          private int rowIndex

    - #### columnIndex

          private int columnIndex

    - #### wellIndex

          private transient int wellIndex

    - #### fieldCount

          private int fieldCount

    - #### files

          private java.util.List<java.lang.String> files

  - ### Constructor Detail

    - #### WellContainer

          public WellContainer()

    - #### WellContainer

          public WellContainer(int pa,
                               int row,
                               int col,
                               int fields)

  - ### Method Detail

    - #### getFile

          public java.lang.String getFile(int fieldIndex,
                                          int planeIndex)

    - #### getFiles

          public abstract java.lang.String[] getFiles(int fieldIndex)

    - #### getAllFiles

          public java.util.List<java.lang.String> getAllFiles()

    - #### addFile

          public void addFile(java.lang.String file)

    - #### getPlateAcquisition

          public int getPlateAcquisition()

    - #### setPlateAcquisition

          public void setPlateAcquisition(int pa)

    - #### getRowIndex

          public int getRowIndex()

    - #### setRowIndex

          public void setRowIndex(int newRow)

    - #### getColumnIndex

          public int getColumnIndex()

    - #### setColumnIndex

          public void setColumnIndex(int newColumn)

    - #### getFieldCount

          public int getFieldCount()

    - #### setFieldCount

          public void setFieldCount(int fields)

    - #### getWellIndex

          public int getWellIndex()

    - #### setWellIndex

          public void setWellIndex(int index)

    - #### fillMetadataStore

          public void fillMetadataStore(MetadataStore store,
                                        int plate,
                                        int plateAcq,
                                        int wellSampleStart,
                                        int nextImage)

    - #### fillMetadataStore

          public void fillMetadataStore(MetadataStore store,
                                        int plate,
                                        int plateAcq,
                                        int well,
                                        int wellSampleStart,
                                        int nextImage)

    - #### compareTo

          public int compareTo(WellContainer w)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<WellContainer>`

Copyright © 2026 Open Microscopy Environment